Bug 116327 - RFE: better error message when init isn't found
RFE: better error message when init isn't found
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: dff
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-02-19 21:42 EST by Mike MacCana
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-22 10:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2004-02-19 21:42:16 EST
Description of problem:   
When init isn't a found, the following message is produced: 
kernel panic: No init found.  Try passing init = option to kernel. 
In most cases, passing the 'init=' option to the kernel won't fix 
the problem, because its not just init missing, its the whole disk. 
I teach RHCEs for Red Hat and notice even experienced users can 
become confused by this message. 
How reproducible:   
Steps to Reproduce:   
1.Have a situation where the kernel cannot find init. 
Actual results:   
The user is asked to use the 'init=' option. It would be useful to 
suggest they check the bootloader and filesystem table as well, as 
problems here are often the source of this problem. 
Expected results:   
Something that indicated other likely sources of the problem. 
How does the following sound: 
kernel panic: Couldn't find init on the specified device. Try 
* Bootloader configuration refers to the correct device. 
* The filesystem table (/etc/fstab) is correct 
* Filesystem labelling, if used, is correct 
* /sbin/init (or the file specified with 'init=' option) exists on 
the correct disk. 
Or maybe something better. Discuss :^).
Comment 1 Suzanne Hillman 2004-02-20 14:13:50 EST
Internal RFE bug #116403 entered; will be considered for future releases.
Comment 2 Suzanne Hillman 2004-04-22 10:37:21 EDT
Thank you for the suggestion. It was passed along to product
management, but not committed for a future release.

Note You need to log in before you can comment on or make changes to this bug.